# Put group

`PUT https://api.airtable.com/scim/v2/Groups/{groupId}`

Replace a Groups's attributes with all new values.

## Requirements

- **Authentication:** [Personal access token](https://airtable.com/developers/web/api/authentication.md#types-of-token), [OAuth integration](https://airtable.com/developers/web/api/authentication.md#types-of-token)
- **Scope:** [`enterprise.scim.usersAndGroups:manage`](https://airtable.com/developers/web/api/scopes.md#enterprise-scim-users-and-groups-manage)
- **User role:** Enterprise admin _Note: Admins of multiple enterprises should use a service account's token when calling this route._
- **Billing plans:** Enterprise (pre-2023.08 legacy plan), Enterprise Scale

## Path parameters

- `groupId: string`

## Request body

- `schemas: array<string>` — required

  A list of schemas, including at least SCIM's core group schema URI.

- `displayName: string | null` — optional

  Becomes the displayName of the group in Airtable. It must not be in use already.

- `members: array<object>` — optional

  List of members of the group.

  - `value: string` — required

    Represents the user ID of a group member

## Response format

See [SCIM Groups](https://datatracker.ietf.org/doc/html/rfc7643#section-4.2)

- `id: string` — required

  A user group ID

- `schemas: array<string>` — required

  A list of schemas, including at least SCIM's core group schema URI.

- `displayName: string | null` — required

  Becomes the displayName of the group in Airtable. It must not be in use already.

- `members: array<object>` — optional

  List of members of the group.

  - `value: string` — required

    Represents the user ID of a group member

### Example — Put user group example

```sh
curl -X PUT "https://api.airtable.com/scim/v2/Groups/{groupId}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
--data '{
    "displayName": "Updated Example Group",
    "members": [
      {
        "value": "usrI7HMkO7sAefUHk"
      }
    ],
    "schemas": [
      "urn:ietf:params:scim:schemas:core:2.0:Group"
    ]
  }'
```

```json
{
  "displayName": "Updated Example Group",
  "id": "ugpQ7PJ2boxzMAKFU",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ]
}
```
